:root {
  --bs-pink: #e84393;
}


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  text-decoration: none;
}


html{
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}

.appContainer {
  margin: 0 0 !important;
  padding: 0 0 !important;
}

#shop {
    color:var(--pink);
}

#shop-2 {
    color:var(--pink);
    font-family: 'Domine', serif;
}


/*----------Navbar---------*/
 .navbar {
  background-color: white !important;
  width: 100vw !important;
}


.logo {
  font-size: 3.5rem;
  color:#333;
  font-weight: bolder;
}

.logo i {
  font-size: 1.5rem;
  margin-left: 5px;
  color: var(--pink);
}

.cart i {
  font-size: 1.5rem;
  color:#666;
  margin-left: 15px;
}

.cart i:hover{
    color:var(--pink);

}

.nav-items {
  color: black !important;
  border-radius: 35px;
  padding: 10px 25px !important;
}

.nav-items:hover {
  color: black !important; 
  font-weight: bolder !important;
  box-shadow: 0 0 10px pink;
}


/*----------Hero---------*/

.main {
  display: flex;
  align-items: center;
  margin: 0 0;
  min-width: 100vw;
  height: 90vh;
  background:url(./images/homebg.jpg) no-repeat;
  background-size: cover;
  background-position: center;
}


.main .content{
  max-width: 25rem;
  margin: 0px 8%;
}

.main .content h1{
  color: black;
  font-family: 'Domine', serif;
  text-shadow: 1px 1px 10px red;
  font-size: 50px;
}

.main .content span{
  font-size: 25px;
  color:var(--pink);
  padding:1rem 0;
  line-height: 1.5;
  text-shadow: 1px 1px 5px white;
}

.main .content p {
  color: black;
  padding:1rem 0;
  margin-bottom: 4px;
  font-size: 12px;
  text-align: justify;
  line-height: 1.5;
}

#btn-hero {
  display: inline-block;
  border-radius: 5rem;
  border: none;
  background:#333;
  color:#fff;
  padding: 4px 24px;
  cursor: pointer;
  font-size: 14px;
}

#btn-hero:hover{
  background:var(--pink);
}


/*---------banner---------*/


.banner-div{
  min-width: 100vw;
  background:#eee;
  display: flex;
  flex-wrap: wrap;
  justify-items: center;
  gap:1.1rem;
  padding: 2.5rem 8%;
}

.banner-sub{
  background:#fff;
  padding: 10px 20px;
  display: flex;
  align-items: center;
  flex:1 1 12rem;
}

.banner-div img {
  height:3rem;
  margin-right: 15px;
}

.banner-info h3 {
  color:#333;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 0;
}

.banner-info span {
  color:#555;
  font-size: 12px;
}


/*-----Register------*/

#reg-log {
  display: flex;
  align-content: center;
  width: 98.7vw;
  min-height: 90vh;
  padding: 8% 10%;
  background-image:url(./images/blur.png);
  background-size: 100%;
}

@media (max-width: 1200px) {
  #reg-log {
    width: 100vw;
  }  
}

#reg-log-div {
  display: flex;
  align-content: center;
  flex-direction: row;
  width: 100%;
  height: 100%;
  background-color: floralwhite;
  margin: 0;
}

@media (max-width: 992px) {
  .img-div {
    display: none !important;
  }  

  .form-div {
    width: 100% !important;
    padding: 10px 20px;
    background-image:url(./images/reg-log.webp);
    background-size: cover;
    background-position: 50% 65%;
  }

  .form-div p a {
    text-shadow: none;
    font-weight: bolder;
  }

  .form-div p {
    color: black;
    font-weight: bold;
    text-shadow: 1px 1px 5px white;
  }
}


.img-div {
  display: flex;
  height: 100%;
  width: 40%;
  border-right: 3px solid;
  border-right-style: dashed;
  justify-content: center;
}

.img-div img{
  width: auto;
  height : auto;
  max-height: 385px;
  max-width: 100%;
}

.form-div {
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
  width: 60%;
  max-height: 100%;
  max-width: 100%;
  padding-bottom: 10px;
}

.form-div h5 {
  font-weight: bolder;
}

.form-div form {
  max-height: 100%;
  max-width: 100%;
}

.form-div p {
  font-size: 13px;
  margin: 16px 0 5px;
}

.form-div p a {
  font-weight: bold;
  text-decoration-line: none;
}


@media (min-width: 992px) {
  .form-label {
    font-weight: bold !important;
    text-align: right !important;
  }
}

.form-label {
  font-weight: bold !important;
}

.reg-btn {
  font-size: 14px !important;
  margin-top: 8px !important;
  padding: 8px;
}

.link-btn {
  background-color: none !important;
}

/*--------Login------*/

.welcome {
  font-family: 'Domine', serif;
  margin-top: 50px;
}

#login-text {
  margin-top: 40px;
}


/*-------dashboard--------*/

.headers {
  display: flex;
  width: 100vw;
  height: 20vh;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  animation: colorchange 10s infinite;
  text-decoration: underline solid magenta 1.5px;
  text-underline-offset: 8px;
  text-shadow: 1px 1px 15px white, 1px 1px 15px white, 1px 1px 15px white;
}

@keyframes colorchange {
  0%   {background-color: #F3CCDE;}
  25%  {background-color: #Eaaecc;}
  50%  {background-color: #Ea5aa7;}
  75%  {background-color: #Eaaecc;}
  100% {background-color: #F3CCDE;}
}

.db-col{
  display: flex;
  flex-direction: column;
  align-content: center;
  margin-left: auto;
}

.db-table-div{
  width: 100vw;
  padding: 0 5%;
  margin-top: 20px;
  margin-bottom: 0;
  background-color: #F3e7ed;
/*  overflow: scroll !important;*/
}

#db-table-div-profile {
  padding: 0 10% !important;
}


#db-table {
  text-align: center;
  background-color: white;
}


#table-head {
  background-color: black;
  color: white;
  max-width: 80vw;
}


/*---------DashboardAdd----------*/

.db-panel-div{
  width: 100vw;
  min-height: 48vh;
  padding: 0 10%;
  margin-top: 20px;
  margin-bottom: 0;
  background-color: #F3e7ed;

}

#panel-img-col {
   border-right-style: dashed !important;
   min-height: 48vh !important;
}

#panel-img-col{
  display: flex;
  justify-content: center;
  align-items: center;
}

.db-pre-img img {
  max-height: 100%;
  max-width: 100%;
}

@media (max-width: 767px) {
 #panel-img-col {
    display: none !important;
  }  
}


.clear-btn {
  letter-spacing: 2px !important;
}



/*--------------AllCard-----------------*/


.allCard-img{
  display: flex;
  justify-content: center;  
}

.allCard-td{
  text-align: center;
  min-width:140px !important;
  max-width: 180px !important;
  min-height: 100px !important;
  max-height: 120px !important;
}


.allCard-td img {
  max-height: inherit;
  max-width: inherit;
}


#allCard-div-btn{
  display: flex;
  flex-direction: column;
  padding: 0px 28px;
}

.allCard-btn {
  font-size: 12px !important;
  border-radius: 10px !important;
  padding: 5px 5px !important;
}

.all-td-desc {
  font-size: 12px ;
}


/*--------- Store --------*/

#store-heading{
    text-align: center;
    font-size: 64px;
    width: 100%;
    color:#333;
    padding:16px;
    margin:32px 0;
    background:rgba(255, 51, 153,.05);

}

@media (max-width: 768px) {

  #store-heading {
    font-size: 32px;
  }

  .active .content h3{
      font-size: 18px !important;
  }

  .active .content .price{
      font-size: 18px !important;
      padding-top: 4px !important;
  }
}

#store-heading:hover {
  box-shadow: 0 0 15px hotpink;
}



#store-heading span{
    color:var(--pink);
}

#products {
  width: 100vw;
  padding: 0 10% 30px;
}

.products .box-container{
    display: flex;
    flex-wrap: wrap;
    gap:24px;
    align-items: center;
    align-content: center;
}


.active{
    flex:1 1 200px;
    width: 250px;
    height: 400px;
    box-shadow: 0 .5rem 1.5rem rgba(0,0,0,.1);
    border-radius: .5rem;
    border:.1rem solid rgba(0,0,0,.1);
    position: relative;    
}

.active .sold{
    position: absolute;
    top:4px; left:10px;
    font-size: 14px;
    color:var(--pink);
    background:rgba(255, 51, 153,.05);
    z-index: 1;
    border-radius: 8px;
}

.active:hover {
   transform: scale(1.05);
   box-shadow: 0 0 10px lightpink, 0 0 15px hotpink;
}


#sold-txt{
   color: black;
   font-size: 11px;
   font-style: italic;
   font-weight: lighter;
}

.active .image{
    position: relative;
    text-align: center;
    padding-top: 32px;
    overflow:hidden;
    height: 200px;
}

.active .image img{
    max-width: 230px;
    max-height: 190px;
}


.active .image .icons{
    position: absolute;
    bottom:-7rem; left:0; right:0;
    display: flex;
    font-family: 'Poppins', sans-serif;
}

.active:hover .image .icons{
    bottom:0;
}


.active .image .icons .shop-btn{
    height: 30px;
    line-height: 30px;
    font-size: 16px;
    width:50%;
    background:var(--pink);
    color:#fff;
    cursor: pointer;
}

.active .image .icons .cart-btn{
    border-left: .1rem solid #fff7;
/*    width:100%;*/
}

.active .image .icons .shop-btn:hover{
    background:#333;
}

.active .content{
    padding: 28px;
    text-align: center;
}

.active .content h3{
    font-size: 20px;
    color:#333;
}

.active .content .price{
    font-size: 20px;
    color:var(--pink);
    font-weight: bolder;
    padding-top: 16px;
}


/*---------Product View-----------*/

#product-view {
  min-width: 100vw !important;
  padding: 20px 50px !important;
  background-color: #f4f4f4;
  min-height: 90vh;
}

@media (max-width: 1100px) {
 #product-view-row {
    padding: auto 10vw !important;
  }  
}

#product-view-row {
  background-color: white;
}

.product-view-col {
  max-height: 85vh;
}

.product-view-div {
  display: flex;
  justify-content: center;
  align-items: center;
  max-height: 85vh;
  padding-top: 20px;

}

.product-view-div img {
  max-height: 75vh;
  max-width: 100%;

}

.product-view-col #details {
  justify-content: left;
}


.product-details-div{
  width: 100%;

}

#qty-col {
  display: flex;
  flex-direction: row;
}

.plus-minus {
  font-size: 18px;
}

.plus-minus-btn {
  display: flex;
  align-items: center;
  align-content: center;
}

#price-head {
  color:#333 !important;
  background:rgba(251, 215, 238, .5) !important;
}


#view-price{
    font-size: 20px;
    color: orangered;
    font-weight: bolder;
}

#available-units {
  font-size: 10px;
  margin: 0;
}

#available-col {
  display: flex;
  align-items: center;

}

/*----------Modal-----------*/

#modal-header {
  border-bottom: 3px solid !important;
  border-bottom-style: dashed !important;
  border-bottom-color: hotpink !important;
}

.modal-user {
  font-size: 12px !important;
  margin: 0 !important;
  padding: 0 !important;
}

.modal-row {
  border-bottom: 1px solid !important;
  border-bottom-color: lightpink !important;
  padding-bottom: 6px !important;
}

#dollar {
  color: orangered;
}

.total-payment {
  font-size: 14px !important;
}

/*--------Profile-------*/

#profile-mid {
  width: 100vw;
  padding-left: 10% !important;
  background-color: #f4f4f4;
}


@media (max-width: 767px) {
.profile-item {
    font-size: 10px !important;
  }
}

#profile-mid-2 {
  display: flex;
  width: 100vw;
  padding-right: 10%;
  justify-content: right;
  background-color: #Eaaecc;
}

#prof-mid2-txt {
  font-weight: l;
}

#for-layout {
  width: 100vw;
  min-height: 195px;
  background-color: #f4f4f4;
  border-top: 15px solid;
}